package org.bench4q.web.model;



public class WebScriptModel {
	private int id;
	private int load;
	private long warmup;
	private long executeRange;
	private long cooldown;
	private boolean staticResources;
	private boolean timer;
	private String filterTypeMatches = null;
	public WebScriptModel() {
	}
	public WebScriptModel(int id,int load,long warmup,long executeRange,long cooldown,String filterTypeMatches){
		this.id=id;
		this.load=load;
		this.warmup=warmup;
		this.executeRange=executeRange;
		this.cooldown=cooldown;
		this.filterTypeMatches = filterTypeMatches;
		
	}
	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public int getLoad() {
		return load;
	}

	public void setLoad(int load) {
		this.load = load;
	}

	public long getWarmup() {
		return warmup;
	}

	public void setWarmup(long warmup) {
		this.warmup = warmup;
	}

	public long getExecuteRange() {
		return executeRange;
	}

	public void setExecuteRange(long executeRange) {
		this.executeRange = executeRange;
	}

	public long getCooldown() {
		return cooldown;
	}

	public void setCooldown(long cooldown) {
		this.cooldown = cooldown;
	}
	public boolean isStaticResources() {
		return staticResources;
	}
	public void setStaticResources(boolean staticResources) {
		this.staticResources = staticResources;
	}
	public boolean isTimer() {
		return timer;
	}
	public void setTimer(boolean timer) {
		this.timer = timer;
	}
	public String getFilterTypeMatches() {
		return filterTypeMatches;
	}
	public void setFilterTypeMatches(String filterTypeMatches) {
		this.filterTypeMatches = filterTypeMatches;
	}

	
}
